
:root {
    --app-bg-color: #14181a;
    --post-bg-color: #081b24;
    --post-code-bg-color: #252b2d;
    --txt-color: #fcfcfc;
    --link-txt-color: #abdafe;
    --link-hover-txt-color: #ececf4;
    --chroma-bg-color: #002b36;
    --chroma-txt-color: #dce0e0;
    --content-header-color: #f4f5b2;
}

.d-flex {
    display: flex !important;
}
.justify-content-center {
    justify-content: center !important;
}

html {
    scroll-behavior: smooth;
}
html body,
#about,
#app footer .company {
    font-family: -apple-system, system-ui, BlinkMacSystemFont, 'segoe ui', Roboto, 'helvetica neue', Arial, sans-serif;
}
html body {
    margin: 0;
    width: 100vw;
    overflow-x: hidden;
    background: var(--app-bg-color);
    color: var(--txt-color);
    font-size: 1.2rem;
    line-height: 1.8rem;
}
html body.page {
    background: var(--post-bg-color);
}

#app .translations,
#app main .intro .series .summary .title,
#app main .outro .series .summary .title,
#app footer .copyright {
    font-family: 'Colombia', sans-serif;
    font-weight: normal;
    letter-spacing: 0.02rem;
}
h1,
h2,
h3,
h4,
h5,
h6,
#app .intro,
#app footer {
    font-family: 'Ju Plus', sans-serif;
    font-weight: bold;
}
h1 {
    font-size: 2.2rem;
    margin: 1.4rem 0 0.5rem;
    line-height: 2.5rem;
}
h2 {
    margin: 1.4rem 0 1.2rem;
    font-size: 2.2rem;
    letter-spacing: 0.21rem;
    line-height: 2.4rem;
}
html:not([lang="ja"]) .post h2 {
    font-size: 2.5rem;
    letter-spacing: 0.47rem;
}
h3 {
    font-size: 1.87rem;
}
h4 {
    font-size: 1.64rem;
}
h5 {
    font-size: 1.36rem;
}
h6 {
    font-size: 1.25rem;
}

ul,
ol {
    padding-left: 1.0rem;
}

table {
    border-spacing: 0;
}

table thead tr:last-of-type th,
table tbody td {
    border-bottom: 0.08rem solid #bbbbbbbb;
}
table tbody td {
    border-bottom-width: 0.04rem;
}

table tbody td {
    vertical-align: top;
}

table th,
table td {
    padding: 0.4rem 0.8rem;
}

table th {
    font-size: 87%;
}

.d-inline {
    display: inline !important;
}
.text-center {
    text-align: center !important;
}

#page-top {
    display: block;
    width: 0;
    height: 0;
}
.scroll-nav,
#toggle-expand-pre-label {
    height: 0;
    opacity: 0.0;
    z-index: 10000;
}
html body.scrolled .scroll-nav,
html body.scrolled #toggle-expand-pre-label {
    opacity: 1.0;
    transition: opacity 0.8s ease;
}
html body.scrolled .scroll-nav {
    height: 1.4rem;
}
html body.scrolled #toggle-expand-pre-label {
    height: auto;
}
.scroll-nav {
    position: fixed;
    right: 0.6rem;
    padding: 0.2rem 0.3rem 0.1rem;
    border: 0.07rem solid var(--link-txt-color);
    border-radius: 50%;
    width: 1.2rem;
    display: flex;
    justify-content: center;
    align-items: center;
}
.scroll-nav.to-page-top {
    bottom: 3.2rem;
}
.scroll-nav.to-footer-menus {
    bottom: 0.7rem;
}
.scroll-nav span {
    width: 0.1rem;
    height: 0.8rem;
    display: flex;
    background-color: var(--link-txt-color);
}
.scroll-nav span::before,
.scroll-nav span::after {
    content: '';
    width: 0.6rem;
    height: 0.1rem;
    display: block;
    background-color: var(--link-txt-color);
}
.scroll-nav.to-page-top span::before,
.scroll-nav.to-page-top span::after {
    margin-top: 0.2rem;
}
.scroll-nav.to-page-top span::before {
    margin-right: -0.5rem;
    transform: rotate(50deg);
}
.scroll-nav.to-page-top span::after {
    margin-left: -0.5rem;
    transform: rotate(-50deg);
}
.scroll-nav.to-footer-menus span::before,
.scroll-nav.to-footer-menus span::after {
    margin-top: 0.5rem;
}
.scroll-nav.to-footer-menus span::before {
    margin-right: -0.5rem;
    transform: rotate(140deg);
}
.scroll-nav.to-footer-menus span::after {
    margin-left: -0.5rem;
    transform: rotate(-140deg);
}
#toggle-expand-pre {
    display: none;
}
#toggle-expand-pre-label {
    position: fixed;
    bottom: 0.7rem;
    left: 0.5rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 0.8rem;
    line-height: 1.4rem;
}
#toggle-expand-pre-label::after {
    content: '↕';
    color: var(--link-txt-color);
    font-size: 1.1rem;
}
#toggle-expand-pre:checked + #toggle-expand-pre-label::after {
    content: '↔';
}
#toggle-expand-pre:checked ~ .post .content pre {
    white-space: pre-wrap;
}

#app main .twitter-tweet {
    padding-top: 1.1rem;
    padding-bottom: 1.4rem;
    margin-left: auto;
    margin-right: auto;
}
#app main blockquote.twitter-tweet {
    padding: 0.1rem 1.4rem 1.4rem;
    display: flex;
    flex-direction: column;
    background-color: var(--chroma-txt-color);
    color: var(--chroma-bg-color);
    border-radius: 0.2rem;
}
#app main blockquote.twitter-tweet::before {
    content: '- Twitter tweet -';
    margin-top: 0.6rem;
    margin-bottom: -0.9rem;
    color: var(--app-bg-color);
    font-size: 0.7rem;
    font-style: italic;
    letter-spacing: 0.17rem;
    opacity: 0.72;
}
#app main blockquote.twitter-tweet a {
    color: var(--post-bg-color);
}
#app main .chroma {
    color: var(--chroma-txt-color);
}

#app {
    width: 100%;
    max-width: 39.0rem;
    height: 100%;
    min-height: calc(100vh - var(--header-height) - var(--footer-height));
    padding: var(--header-height) 0 var(--footer-height);
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

#app a {
    color: var(--link-txt-color);
}
#app a:hover,
#app main .posts .entries .entry .title a:hover {
    color: var(--link-hover-txt-color);
}
#app img {
    max-width: 100%;
    height: auto;
    max-height: 72vh;
    margin: 0 auto;
    display: block;
    border-radius: 0.2rem;
}
#app header a,
#app main .intro a,
#app footer a {
    font-weight: bold;
    text-decoration: none;
}
#app header,
#app main,
#app footer {
    width: 100%;
    max-width: calc(100vw - 1.2rem);
}
#app header,
#app main .intro,
#app footer {
    text-align: center;
}
#app header,
#app footer {
    padding: 0.7rem 0;
    font-size: 1.0rem;
    letter-spacing: 0.02rem;
}
#app header {
    position: relative;
    padding-top: 3.1rem;
}
#app header nav {
    position: absolute;
    left: 0;
    right: 0;
    top: 0.7rem;
    max-width: 13.2rem;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    justify-content: space-between;
}
html body.home #app header nav {
    position: fixed;
}
#app header nav a {
    padding: 0 0.4rem;
}
#app main + hr {
    width: 100%;
}
#app footer .translations {
    margin: 0.3rem auto 1.1rem;
    font-size: 0.9rem;
}
html[lang="ja"] #app footer .translations {
    font-size: 1.4rem;
}
#app footer .menus .to-home {
    padding-left: 0.05rem;
    padding-right: 0.05rem;
    color: var(--link-hover-txt-color);
    font-size: 95%;
    letter-spacing: 0.03rem;
    opacity: 0.93;
}
#app footer .menus div a {
    padding-left: 0.4rem;
    padding-right: 0.4rem;
}
#app footer .menus a.rss-feed svg {
    width: auto;
    height: 0.8em;
    margin-right: -0.15em;
}
#app footer .copyright {
    padding: 0.2rem 0 0.4rem;
    font-size: 1.25rem;
    letter-spacing: 0.03rem;
}
#app footer .copyright .year-and-company,
#app footer .copyright .year-and-company .company {
    display: inline-flex;
    align-items: center;
}
#app footer .copyright .year-and-company {
    font-size: 1.1rem;
}
#app footer .copyright .year-and-company .company {
    font-size: 1.0rem;
    text-decoration: underline dotted;
}
#app footer .copyright .year-and-company .company svg {
    width: auto;
    max-height: 1.4rem;
    padding: 0.1rem 0.25rem 0 0.51rem;
}

#app main {
    padding-left: 0.6rem;
    padding-right: 0.6rem;
    margin: var(--header-height) auto var(--footer-height);
    word-wrap: break-word;
}
html body.page #app main {
    padding-left: 0;
    padding-right: 0;
}
html body.page #app header .title {
    padding: 0 1.0rem; 
    text-align: left;
    word-wrap: break-word;
}

#app main .posts .entries {
    padding-left: 0;
    padding-bottom: 0.1rem;
    list-style: none;
}
#app main .posts .entries .entry {
    border-top: 0.03rem dotted var(--txt-color);
}
#app main .posts .entries .entry .intro {
    max-width: 78%;
    margin-left: 11%;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}
#app main .posts .entries .entry .intro .author {
    display: inline-block;
    max-width: 40%;
}
html body.home h2.title,
html body.taxonomy header h2.title {
    margin-bottom: 0;
}
html body.home h2.title {
    margin-top: 0.2rem;
}
html body.taxonomy #app main .posts .entries {
    margin-top: 3.2rem;
    display: grid;
    grid-gap: 0;
    grid-template-columns: repeat(auto-fill, 32%);
}
html body.taxonomy #app main .posts .entries > .entry {
    margin: 0;
}
html body.taxonomy #app main .posts .entries > .entry > .title {
    font-size: 1.1rem;
}
html body.taxonomy #app main .posts .entries > .entry > .title > a {
    display: inline-flex;
    width: 100%;
}
html body.taxonomy #app main .posts .entries > .entry > .title > a > span {
    max-width: 93%;
    display: block;
}
html body.taxonomy.tags #app main .posts .entries > .entry > .title > a > span::before {
    content: '#';
    font-size: 0.8rem;
    padding-right: 0.1rem;
}
html body.taxonomy #app main .posts .entries > .entry > .title > a > span::after {
    content: '('attr(data-count)')';
    padding-left: 0.4rem;
    color: var(--txt-color);
    font-family: 'Colombia', sans-serif;
    letter-spacing: 0.08rem;
}
html body.term #app main .posts .entries .entry {
    border-color: var(--txt-color);
}
html body.term #app main .posts .found-posts-count {
    margin: 0.6rem 0 2.7rem;
    font-size: 0.9rem;
    font-style: italic;
    text-align: center;
}
#app main .posts .entries .entry:not(:first-of-type) {
    margin-top: 1.87rem;
}
#app main .posts .entries .entry .title {
    max-width: 80%;
    margin-left: 10%;
}
html body.home .posts .entries .entry .title {
    margin-top: 2.4rem;
}
#app main .posts .entries .entry .title a {
    color: var(--link-txt-color);
    text-decoration: none;
}
#app main .posts .entries .entry .desc {
    position: relative;
    margin: 0.6rem auto 1.1rem;
    max-width: 90%;
}
#app main .posts .entries .entry .desc .overlap {
    position: absolute;
    top: -0.7rem;
    left: 0;
    width: 100%;
    height: calc(100% - 2.7rem);
    background-image: linear-gradient(transparent, var(--app-bg-color) 120%);
}
#app main .posts .entries .entry .desc a.read-more {
    width: 6.3rem;
    height: 2.1rem;
    margin: 1.5rem auto 1.9rem;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--link-txt-color);
    color: var(--post-bg-color);
    border-radius: 4.2rem;
    box-shadow: 0.04rem 0.04rem 0.08rem 0.08rem var(--link-txt-color);
    text-decoration: none;
}
#app main .posts .entries .entry .desc a.read-more:hover {
    background-color: var(--link-hover-txt-color);
    box-shadow: 0.03rem 0.03rem 0.06rem 0.06rem var(--link-hover-txt-color);
    opacity: 0.97;
}

#about {
    padding: 0 10vw 0.4rem;
    text-align: left;
}
#about .title {
    margin: 0.9rem 0 0;
    text-align: center;
}
#about p {
    font-weight: normal;
}

#app main .intro .desc {
    display: flex;
    flex-direction: column;
}
html:not([lang="ja"]) #app main .intro > .desc,
html:not([lang="ja"]) #app main .entries .entry .intro {
    font-family: 'Colombia', sans-serif;
}
#app main .intro > .desc .author {
    display: flex;
    align-items: center;
    margin: 0.5rem auto 0.2rem;
}
#app main .intro > .desc .author .name {
    margin-right: 0.6rem;
}
#app main .intro > .desc .social-link svg {
    height: 1.1rem;
    margin: 0.1rem;
}
#app main .intro .series,
#app main .outro .series {
    text-align: center;
}
#app main .table-of-contents,
#app main .outro .series {
    padding: 0.8rem 0.6rem 0.6rem;
    margin: 1.7rem auto 2.1rem;
    border: 0.04rem dashed var(--link-txt-color);
    border-radius: 0.5rem;
}
#app main .intro .series .summary,
#app main .outro .series .summary {
    display: inline-flex;
    align-items: baseline;
    font-size: 1.0rem;
}
#app main .intro .series .summary .title,
#app main .outro .series .summary .title {
    padding: 0.3rem 0.6rem;
    margin-right: 0.5rem;
    display: inline-block;
    background-color: var(--txt-color);
    color: var(--post-bg-color);
    border-radius: 0.2rem;
    font-size: 0.9rem;
    line-height: 0.7rem;
    letter-spacing: 0.03rem;
}
#app main .outro .series .summary .title {
    margin-top: 0;
}
#app main .intro .series .summary .desc,
#app main .outro .series .summary .desc {
    text-align: left;
}
#app main .intro .series .summary .desc a {
    display: flex;
    align-items: center;
    margin-left: 0.36rem;
    color: var(--txt-color);
}
#app main .intro .series .summary .desc a svg {
    height: 0.8em;
    width: 0.8em;
    padding-left: 0.5rem;
    padding-bottom: 0.15rem;
    display: inline-block;
    color: var(--link-txt-color);
}
#app main .outro .series .entries {
    max-width: 18.0rem;
    margin: 0 auto;
    text-align: left;
    font-size: 1.1rem;
    line-height: 2.1rem;
}
#app main .outro .series .entries .entry {
    margin-left: 0.5rem;
}
#app main .tags > a {
    padding: 0 0.4rem;
    font-size: 0.8rem;
}
#app main .table-of-contents {
    max-width: 90%;
    padding-bottom: 0.3rem;
    margin: 2.4rem auto 1.0rem;
    font-size: 1.0rem;
}
#app main .table-of-contents .title {
    margin: 0 auto;
    font-size: 1.5rem;
    text-align: center;
}
#app main .table-of-contents ul {
    margin: 0.2rem 0 0.4rem;
}
#app main .table-of-contents ul li {
    min-height: 1.9rem;
    padding: 0 0 0.1rem;
}
#app main .btn.share-post {
    width: 4.2rem;
    height: 1.8rem;
    margin-left: auto;
    display: block;
    background-color: transparent;
    border: none;
    color: var(--link-txt-color);
    font-style: italic;
}
#app main .intro .btn.share-post {
    margin-top: -0.9rem;
    margin-bottom: 0.9rem;
}
#app main .btn.share-post:hover {
    color: var(--link-hover-txt-color);
}
#app main .btn.share-post::before {
    content: '// Share //';
    display: block;
    font-size: 0.7rem;
}

#app main .post .content {
    padding: 0 0.2rem;
}
#app main .post .content .header {
    position: relative;
    margin-bottom: 0;
    display: flex;
    align-items: center;
}
#app main .post .content .header .title {
    position: relative;
    max-width: 90%;
    white-space: pre-wrap;
}
#app main .post .content .header code {
    display: contents;
}
#app main .post .content h2,
#app main .post .content h2 a,
#app main .post .content h2 code,
#app main .post .content h3,
#app main .post .content h3 a,
#app main .post .content h3 code,
#app main .post .content h4 .title::before,
#app main .post .content h5 .title::before {
    color: var(--content-header-color);
}
#app main .header .header-link {
    position: absolute;
    right: 0;
    font-size: 1.0rem;
    text-decoration: none;
    opacity: 0.57;
}
#app main .header .header-link::after {
    content: '🔗';
}
#app main .post .content h2 .header-link {
    padding: 0.6rem 0 0.1rem;
    margin-left: -0.2rem;
}
#app main .post .content h4 .header-link,
#app main .post .content h5 .header-link {
    margin-left: -0.2rem;
}
#app main .post .content h4 .title,
#app main .post .content h5 .title {
    padding: 0.3rem 0 0;
    margin-bottom: 0.1rem;
}
#app main .post .content h4 .title {
    padding-left: 1.4rem;
}
#app main .post .content h5 .title {
    padding-left: 2.4rem;
}
#app main .post .content h4 .title::before,
#app main .post .content h5 .title::before {
    position: absolute;
    left: 0;
    top: 0.18rem;
    font-size: 1.25rem;
}
#app main .post .content h4 .title::before {
    content: '||';
}
#app main .post .content h5 .title::before {
    content: '||||';
}
#app main .post .content img {
    border-radius: 0.4rem;
}
#app main .post .content hr {
    width: calc(100% + 1.4rem);
    margin-left: -0.7rem;
    margin-top: 1.4rem;
    margin-bottom: 1.4rem;
    border-style: dashed;
    border-width: 0.03rem;
}
#app main .post .content pre {
    padding: 1.0rem 0.7rem;
    background-color: var(--chroma-bg-color);
    color: var(--chroma-txt-color);
    font-size: 102%;
    border-radius: 0.1rem;
    border-top-right-radius: 0.7rem;
    white-space: pre;
    overflow-x: auto;
}
#app main .post .content code {
    padding: 0.1rem 0.3rem;
    margin: 0 0.2rem;
    background-color: var(--post-code-bg-color);
    font-size: 1.1rem;
    border-radius: 0.2rem;
}
#app main .post .content h2 code,
#app main .post .content h3 code,
#app main .post .content h4 code,
#app main .post .content h5 code,
#app main .post .content h6 code,
#app main .post .content blockquote code {
    font-size: inherit;
}
#app main .post .content p > *:first-child > code:first-child {
    padding-left: 0;
    margin-left: 0;
}

#app main .post ul > li:not(:last-of-type),
#app main .post ol > li:not(:last-of-type) {
    margin-bottom: 0.8rem;
}
#app main .post ul ul > li:not(:last-of-type),
#app main .post ol ol > li:not(:last-of-type) {
    margin-bottom: inherit;
}

#app main .post .content pre[tabindex] {
    font-size: 1.0rem;
    line-height: 1.5rem;
}
#app main .post .content pre[tabindex] code {
    padding: 0 1.0rem 0 0;
    margin: 0;
    background-color: var(--chroma-bg-color);
    color: var(--chroma-txt-color);
}

#app main .post .content blockquote {
    margin-left: 1.1rem;
    font-size: 1.0rem;
    line-height: 1.5rem;
    color: var(--chroma-txt-color);
    font-style: italic;
}
#app main .post + hr {
    margin: 1.6rem 0 1.5rem;
}

#app .post-nums-range {
    margin-left: 0.5rem;
    display: inline;
    font-size: 1.05rem;
}
#app .post-nums-range::before {
    content: '(';
}
#app .post-nums-range::after {
    content: ')';
}
#app .pagination {
    padding-left: 0;
    display: flex;
    justify-content: space-between;
    list-style: none;
    font-size: 1.1rem;
    max-width: 20.0rem;
    margin-left: auto;
    margin-right: auto;
}
#app .pagination .page-item.active {
    font-size: 105%;
    font-weight: bold;
}
#app .pagination .page-item a {
    text-decoration: none;
}
#app .pagination .page-item.active a,
#app .pagination .page-item.disabled a,
#app .pagination .page-item.disabled a:hover {
    color: var(--txt-color);
}

@media (min-width: 992px) {
    html body.page #app header .title {
        text-align: center;
    }
    
    #app main .table-of-contents,
    #app main .outro .series {
        max-width: 27.0rem;
    }
}